Subject: Re: bug#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Feb 2023 10:05:58 +0200

> Date: Sat, 25 Feb 2023 01:06:02 +0000
> From: Randy Taylor <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked], Theodor Thornhill <[email-masked]>
> 
> On Thursday, February 23rd, 2023 at 21:31, Dmitry Gutov <[email-masked]> wrote:
> 
> I'm not sure about the naming of font-lock-variable-ref-face. It's confusing for languages that support actual references like C++ and Rust.

That's a different kind of "reference".

> Maybe the opposite direction is better: font-lock-variable-def-face (or something similar) for definitions (or whatnot), and font-lock-variable-name-face to refer to uses (same goes for property).

No, that would rename a widely used face which we had for many years.

>  Or font-lock-variable-use-face.

That could work, but then we'd need to change all the other "-ref-"
faces to "-use-" as well.

> Personally, I don't really see the value in differentiating these for variables. I can understand it a little more for properties. But I guess it doesn't hurt to add if folks want it.

Right, it doesn't hurt.